---
extracts:
  # AvailabilityZones.member.N
  # One or more Availability Zones for the group.
  # Type: Array of strings
  # Length Constraints: Minimum length of 1. Maximum length of 255.
  # Pattern: [\u0020-\uD7FF\uE000-\uFFFD\uD800\uDC00-\uDBFF\uDFFF\r\n\t]*
  # Required: Yes
  - name: CA10__availabilityZones__c
    value: 
      FIELD:
        path: CA10__availabilityZones__c
        undeterminedIf:
          isEmpty: Corrupted data. Availability zones should always present
  - name: caExtract_availabilityZones_asCollection__c
    value: 
      COLLECTION_FROM:
        separator: "\n"
        emptyValues: SKIP
        duplicateValues: SKIP
        ordering: SORTED
        arg:
          EXTRACT: CA10__availabilityZones__c
# A comma-separated value string of one or more health check types.
# Values: EC2, EBS, ELB, VPC_LATTICE.  Not nullable. Can't have no access, retrieved via autoscaling:DescribeAutoScalingGroups
  - name: CA10__healthCheckType__c
    value: 
      FIELD:
        path: CA10__healthCheckType__c     
# Nullable. Can't have no access, retrieved via autoscaling:DescribeAutoScalingGroups     
  - name: CA10__launchConfigurationName__c
    value: 
      FIELD:
        path: CA10__launchConfigurationName__c          
# Nullable. Can't have no access, retrieved via autoscaling:DescribeAutoScalingGroups     
  - name: CA10A1__launchTemplateId__c
    value: 
      FIELD:
        path: CA10A1__launchTemplateId__c          
# Nullable. Can't have no access, retrieved via autoscaling:DescribeAutoScalingGroups     
  - name: CA10A1__mixedInstancesLaunchTemplateId__c
    value: 
      FIELD:
        path: CA10A1__mixedInstancesLaunchTemplateId__c          
